const DB_PATH = process.env.DB_PATH;
const db = require('better-sqlite3')(DB_PATH);

export async function get(req, res, next) {
  const stats = db
    .prepare(`SELECT
                (SELECT COUNT(DISTINCT id) FROM translations) AS translations,
                (SELECT COUNT(DISTINCT id) FROM lemmas) AS lemmas
            `)
    .all()
	if (stats.length>0) {
    res.setHeader("Access-Control-Allow-Origin", "*");
		res.setHeader('Content-Type', 'application/json');
		res.end(JSON.stringify(stats[0]));
	} else {
		next();
	}
}
